Subject: Re: next-20090310: ext4 hangs

From: Alexander Beregalov <[email-masked]>
Date: Thu, 2 Apr 2009 22:50:59 +0400

>> >  I'm helpless here. I don't see how we can miss a wakeup (plus you seem to
>> > be the only one reporting the bug). Could you please compile and test the kernel
>> > with the attached patch? It will print to kernel log when we go to sleep
>> > waiting for inode commit and when we send wakeups etc. When you hit the
>> > deadlock, please send me your kernel log. It should help with debugging why do
>> > we miss the wakeup. Thanks.
>>
>> Which patch?
>  Ups. Forgot to attach ;).

Cannot reproduce it on current 2.6.29-git. Strange.
It should already have all ext4/jbd2 patches from next-20090310,
but anyway it happened with 2.6.29-rc8 also.
I ran dbench in cycle on two indentical hosts for more than 24 hours
with no hang tasks.

I will try 2.6.29.
--
To unsubscribe from this list: send the line "unsubscribe linux-ext4" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html